# راه اندازی پروژه
#### ما به تازگی شاد پای را نصب کرده ایم. در این صفحه ما در مورد کارهایی که برای راه اندازی یک پروژه با چارچوب باید انجام دهید صحبت خواهیم کرد.
___
# کلید API
###### در مرحله اول باید آث خود را دریافت کنیم
1. وارد [وب شاد](https://web.shad.ir/) شوید
2. شماره تلفن خود را وارد کرده و وارد محیط پیامرسان شوید
3. اگر با رایانه وارد وب شاد شده اید، برای دریافت آث حساب کاربری خود مراحل زیر را دنبال کنید
    - کلید f12 را فشار دهید تا کنسول جاوا اسکریپت یا inspect باز شود
    - وارد بخش Network شوید
    - درخواست های http آنجا نمایش داده میشوند
    - روی یکی از درخواست ها کلیک کنید
    - درخواست http حتما باید نامش مانند messengerg باشد
    - به بخش Payload بروید
    - یک کلید json به نام auth وجود دارد
    - مقدار کلید auth را کپی کنید
    - تبریک شما auth خود را دریافت کرده اید
4. اگر با سیستم عامل اندروید وارد وب شاد شده اید، مراحل زیر را دنبال کنید
    - نرم افزار Element Inspector را دانلود و نصب نمایید
    - در این نرم افزار باید وارد وب شاد شوید و ثبت نام یا ورود کنید
    - در پایین صفحه دو آیکون خانه وجود دارد
    - روی آیکون خانه(خط دار) کلیک کنید
    - روی Console EDURA کلیک کنید
    - دقت کنید، روی صفحه یک آیکون تنظیمات ظاهر میشود، روی آن کلیک کنید
    - به بخش Network بروید
    - درخواست هایی که ارسال و دریافت میشوند را مشاهده میکنید، اگر چیزی نبود ابتدا پیامی ارسال کنید
    - روی یکی از درخواست ها کلیک کنید، حتما نامش مانند messengerg باشد
    - یک کلید به نام auth وجود دارد
    - مقدار کلیک auth را کپی کنید و ذخیره کنید
    - تبریک شما موفق شده اید
5. تمام شد. شما موفق به دریافت شناسه آث خود شدید
# توجه
##### شناسه آث خود را محفوظ نگه دارید، چرا که توسط آن به کل حساب کاربری دسترسی دارید
##### نکته: برنامه هایی که رمزنگاری شده اند و از شما آث درخواست میکنند را اجرا نکنید
# پیکربندی
##### حالا که شناسه آث را توسط آموزش های قبلی به دست آورده ایم، میتوانیم پیکربندی پروژه را شروع کنیم:
**شناسه آث را به آرگومان یا پارامتر auth در Client بدهید**
```python
from shadapi import Client

auth = 'qwertyuiopasdfghjklzxcvbnmqwert'

app = Client(auth=auth)
```

<p align="center">
    <a href="https://github.com/HoseanRC/shad-api/blob/master/docs/Authorization.md">
        صفحه بعدی
    </a>
  •
  <a href="https://github.com/HoseanRC/shad-api/blob/master/docs/Install-Guide.md">
        صفحه قبلی
    </a>
</p>
